MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025740Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-01-22 16:002015-05-14 15:32
Reporterakz 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025740: VrmlData_Scene::WriteArrIndex() writes extra point indices.
DescriptionVrmlData_Scene::WriteArrIndex() writes extra point indices in some cases:

Attached file contents field "coordIndex" with extra points of curve:

coordIndex [
          0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,
          16,17,18,19,20,21,22,23,24,25,26,27,28,
          16,17,18,19,20,21,22,23,24,25,26,27,28, -1
        ]

Attached picture represents the visualization of curve with extra indices.
Steps To Reproduceptorus p 10 8 0 90 120
incmesh p 0.1
explode p e
storevrml p_3 <file> 1 1


Test script was added
TagsNo tags attached.
Test case numberbugs stlvrml(018) bug25740
Attached Files? file icon test.vrml (1,923 bytes) 2015-01-22 16:00
png file icon Incorrect_curve.png (3,820 bytes) 2015-01-22 16:03
? file icon bug25740 (961 bytes) 2015-01-22 20:04

- Relationships

-  Notes
(0036422)
git (administrator)
2015-01-22 20:04

Branch CR25740 has been created by akz.

SHA-1: 7838d1d14b6dcf6fac9ce66f61548e2c031eae4c


Detailed log of new commits:

Author: akz
Date: Thu Jan 22 20:03:36 2015 +0300

    0025740: VrmlData_Scene::WriteArrIndex() writes extra point indices.
    
    Reason of bug: at the end of writing indices the "buf" was written double times.
    Fix: At the end of operation skip one WriteLine.
(0036423)
akz (developer)
2015-01-22 20:05

Branch is CR25740 ready to review
(0036433)
gka (developer)
2015-01-23 13:06

Branch CR25740 is ready to be tested
(0036909)
git (administrator)
2015-01-30 16:50

Branch CR25740 has been updated forcibly by mkv.

SHA-1: bdfd3c471c83c3c15ebf9e9d958707a2e3e5e52c
(0037056)
mkv (tester)
2015-02-04 13:06

Dear BugMaster,
Branch CR25740 was rebased on current master of occt git-repository.
(0037057)
mkv (tester)
2015-02-04 13:06

Dear BugMaster,
Branch CR25740 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: bdfd3c471c83c3c15ebf9e9d958707a2e3e5e52c

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25740-master-occt/Debian60-64/bugs/stlvrml/bug25740.html [^]
http://occt-tests/CR25740-master-occt/Windows-32-VC10/bugs/stlvrml/bug25740.html [^]
bugs stlvrml(018) bug25740: OK

Testing on Linux:
occt component :
Total MEMORY difference: 369897856 / 370076844
Total CPU difference: 54303.87999999981 / 49863.81000000002
products component :
Total MEMORY difference: 110949900 / 110974256
Total CPU difference: 17009.689999999977 / 15956.599999999973

Testing on Windows:
occt component :
Total MEMORY difference: 276022764 / 276284192
Total CPU difference: 36674.53125 / 36894.109375
products component :
Total MEMORY difference: 72488128 / 71401072
Total CPU difference: 10673.65625 / 11731.96875

There are no differences in images found by testdiff.
(0037058)
git (administrator)
2015-02-04 13:06

Branch CR25740 has been updated by mkv.

SHA-1: 1d89afcd732753f84a6ffe4831597ef69d15a71e


Detailed log of new commits:

Author: mkv
Date: Wed Feb 4 13:05:36 2015 +0300

    Test case for issue CR25740

(0038573)
git (administrator)
2015-03-18 13:36

Branch CR25740 has been deleted by inv.

SHA-1: 1d89afcd732753f84a6ffe4831597ef69d15a71e

- Related Changesets
occt: master 0bb1f113
Timestamp: 2015-02-05 12:22:13
Author: akz
Committer: bugmaster
Details ] Diff ]
0025740: VrmlData_Scene::WriteArrIndex() writes extra point indices.

Reason of bug: at the end of writing indices the "buf" was written double times.
Fix: At the end of operation skip one WriteLine.

Test case for issue CR25740
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
add - tests/bugs/stlvrml/bug25740 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-22 16:00 akz New Issue
2015-01-22 16:00 akz Assigned To => akz
2015-01-22 16:00 akz File Added: test.vrml
2015-01-22 16:03 akz File Added: Incorrect_curve.png
2015-01-22 16:07 akz Description Updated View Revisions
2015-01-22 16:07 akz Steps to Reproduce Updated View Revisions
2015-01-22 17:16 akz Status new => assigned
2015-01-22 20:04 git Note Added: 0036422
2015-01-22 20:04 akz File Added: bug25740
2015-01-22 20:05 akz Note Added: 0036423
2015-01-22 20:05 akz Assigned To akz => gka
2015-01-22 20:05 akz Status assigned => resolved
2015-01-22 20:05 akz Steps to Reproduce Updated View Revisions
2015-01-23 13:06 gka Note Added: 0036433
2015-01-23 13:06 gka Assigned To gka => bugmaster
2015-01-23 13:06 gka Status resolved => reviewed
2015-01-30 14:43 mkv Assigned To bugmaster => mkv
2015-01-30 16:50 git Note Added: 0036909
2015-02-04 13:06 mkv Note Added: 0037056
2015-02-04 13:06 mkv Note Added: 0037057
2015-02-04 13:06 git Note Added: 0037058
2015-02-04 13:07 mkv Test case number => bugs stlvrml(018) bug25740
2015-02-04 13:07 mkv Assigned To mkv => bugmaster
2015-02-04 13:07 mkv Status reviewed => tested
2015-02-06 15:38 bugmaster Changeset attached => occt master 0bb1f113
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-09 11:04 bugmaster Target Version 7.1.0 => 6.9.0
2015-03-18 13:36 git Note Added: 0038573
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker